> ## Documentation Index
> Fetch the complete documentation index at: https://www.illusory.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Price

> Retrieves the pricing details for one or more proxies.



## OpenAPI

````yaml POST /v1/price
openapi: 3.0.1
info:
  title: Illusory API Reference
  description: Interact with Illusory proxies
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://cmd.illusory.io
security: []
paths:
  /v1/price:
    post:
      description: Retrieves the pricing details for one or more proxies.
      requestBody:
        description: Pricing details
        content:
          application/json:
            schema:
              type: object
              properties:
                proxies:
                  type: array
                  description: >-
                    List of proxies to retrieve pricing for. Each item should
                    include `isp`, `location`, `interval` and `period`.
                  items:
                    type: object
                    properties:
                      isp:
                        type: string
                        description: Internet Service Provider
                        example: Verizon
                      location:
                        type: string
                        description: City of the proxy server. e.g., `Austin`
                        example: Austin
                      interval:
                        type: integer
                        description: Interval for deployment period. e.g., `2` weeks.
                        example: 2
                      period:
                        type: string
                        enum:
                          - hourly
                          - daily
                          - weekly
                          - monthly
                          - yearly
                        description: Deployment period, e.g., 'weekly'
                        example: weekly
                    required:
                      - isp
                      - location
                      - interval
                      - period
                    example:
                      - isp: Verizon
                        location: Austin
                        interval: 1
                        period: weekly
                      - isp: Verizon
                        location: Austin
                        interval: 1
                        period: monthly
                      - isp: AT&T
                        location: Cleveland
                        interval: 2
                        period: monthly
              required:
                - proxies
      responses:
        '200':
          description: Server response
          content:
            application/json:
              schema:
                type: object
                properties:
                  ok:
                    type: boolean
                    description: Indicates whether the request was successful e.g., `true`
                  message:
                    type: string
                    description: Success message
                    example: Retrieved pricing details successfully.
                  data:
                    $ref: '#/components/schemas/price-get'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '422':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error--422-proxy-low-stock'
      security:
        - bearerAuth: []
components:
  schemas:
    price-get:
      type: object
      properties:
        member:
          type: boolean
          description: Indicates whether the user is a member
        periods:
          type: object
          properties:
            period:
              $ref: '#/components/schemas/PeriodDetail'
        savings:
          $ref: '#/components/schemas/Savings'
        total:
          $ref: '#/components/schemas/Total'
      example:
        member: true
        periods:
          weekly:
            individual:
              VR-AU-D03C11FA:
                interval: 1
                standard: 99
                member: 89
                total: 89
            bulk:
              individual: 1
              price: null
            total:
              standard: 99
              member: 89
              due: 89
          monthly:
            individual:
              VR-AU-29A225F3:
                interval: 1
                standard: 279
                member: 229
                total: 219
              AT-CL-4AABB4B5:
                interval: 2
                standard: 279
                member: 229
                total: 438
            bulk:
              individual: 2
              price: 219
            total:
              standard: 837
              member: 687
              due: 657
        savings:
          member:
            weekly:
              individual: 10
              total: 10
            monthly:
              individual: 50
              total: 150
          bulk:
            weekly:
              individual: 0
              total: 0
            monthly:
              individual: 10
              total: 30
          interval: 18
          total: 208
        total:
          standard: 936
          member: 776
          due: 728
    Error:
      type: object
      properties:
        ok:
          type: boolean
          description: Indicates the request was unsuccessful e.g., `false`
        data:
          type: object
          description: Additional error data
          properties:
            proxy_name:
              type: string
              description: Unique identifier of the proxy server
        message:
          type: string
          description: Error message
      example:
        ok: false
        data:
          proxy_name: ILL-US-AU1-9999
        message: Proxy not found
    error--422-proxy-low-stock:
      type: object
      properties:
        ok:
          type: boolean
          description: Indicates the request was unsuccessful e.g., `false`
        data:
          type: object
          description: Additional error data
          properties:
            count:
              type: integer
              description: Amount of product stock available
            amount:
              type: integer
              description: Amount of product requested
            location:
              type: string
              description: Location of stock with discrepancy
            isp:
              type: string
              description: ISP of stock with discrepancy
        message:
          type: string
          description: Error message
      example:
        ok: false
        data:
          count: 0
          amount: 1
          location: Cleveland
          isp: AT&T
        message: >-
          The amount requested is lower than the available stock. Please review
          your cart as it may have been revised.
    PeriodDetail:
      type: object
      properties:
        individual:
          type: object
          description: Object containing the pricing details for individual items
          properties:
            individual_item:
              $ref: '#/components/schemas/PriceDetail'
        bulk:
          type: object
          description: Object containing the bulk pricing details
          properties:
            individual:
              type: integer
              description: Number of items to be deployed
            price:
              type: integer
              nullable: true
              description: >-
                Bulk pricing per item. If `null`, then bulk pricing is not
                available for the period.
        total:
          $ref: '#/components/schemas/Total'
    Savings:
      type: object
      description: Object containing the savings details
      properties:
        member:
          type: object
          description: Object containing the savings details for members
          properties:
            period:
              $ref: '#/components/schemas/SavingDetail'
        bulk:
          type: object
          description: Object containing the savings details for bulk pricing
          properties:
            period:
              $ref: '#/components/schemas/SavingDetail'
        interval:
          type: integer
          description: Total amount saved for interval reductions
        total:
          type: integer
          description: Total amount saved
    Total:
      type: object
      description: Object containing the total pricing details
      properties:
        standard:
          type: integer
          description: Total standard pricing
        member:
          type: integer
          description: Total member pricing
        due:
          type: integer
          description: Total amount due
    PriceDetail:
      type: object
      properties:
        interval:
          type: integer
          description: Interval for deployment period. e.g., `2` weeks.
        standard:
          type: integer
          description: Standard pricing per item
        member:
          type: integer
          description: Member pricing per item
        total:
          type: integer
          description: Total amount for the item.
    SavingDetail:
      type: object
      properties:
        individual:
          type: integer
          description: Amount saved per individual item
        total:
          type: integer
          description: Total amount saved
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: apiKey
      description: >-
        The `Authorization` header is used to authenticate with the API using
        your `Master` API key. Value is of the format `Bearer YOUR_KEY_HERE`.

````